---
layout: job_family_page
title: "Demo Systems Engineer"
---

The Demo Systems Engineer enables GitLab Customer Success team members to clearly convey the end-to-end business value of GitLab to prospects and clients. The Demo Systems Engineer creates and manages the systems, processes and data that help maximize the number of memorable customer experiences.

By applying your solution selling and architecture experience, you will manage GitLab installations as well as related auxiliary systems utilized daily by the global GitLab Customer Success team. You will help the team easily adopt new GitLab features, clearly communicate new usage scenarios and frictionlessly display interaction with integrated ecosystems and cloud environments.

The Demo Systems Engineer will have the opportunity to help shape and enhance the way customers experience interaction with GitLab from initial consultation throughout the entire customer journey. The ideal candidate must be self-motivated with a proven track record in software development, systems engineering and/or technical sales. The ability to connect technology with measurable business value is critical to this role. You should also have a demonstrated ability to think strategically about business, products, and technical challenges.

### Responsibilities

* Install, configure, upgrade and repair GitLab demonstration environments to ensure reliability, performance and uptime of customer-facing systems
* Configure data for GitLab instances to enable elaboration of common use cases as well as end-to-end value proposition
* Work collaboratively with Engineering, Product Marketing, Professional Services and other GitLab teams to coordinate demo system content and availability for events, trainings, etc.
* Prepare GitLab system updates pre-release so that features and data are available on the day of the public release
* Work with GitLab Infrastructure teams to create and maintain cloud environments and deployment templates to support implementation and deployment conversations
* Create and maintain integration environments commonly utilized with GitLab such as Jira and Jenkins
* Ensure demo data and stories align to key business and marketing messaging
* Design creative new ways to highlight GitLab functionality
* Ensure systems contain reliable, current data for repeatability in story telling
* Assist in creating and designing one-off architectures, ecosystems or data compilations for customer-specific requests, analyst demos or marketing
* Clearly document and communicate demo system configuration, usage guidance, upgrade expectations and maintenance windows

### Requirements

* Ideal candidates will preferably have 5 plus years IT industry, software development, technical sales and/or systems engineering experience
* Deep knowledge of software development lifecycle and development pipeline, including microservices, mono-repo and distributed-repo approaches
* Experience with Ruby On Rails and Go are preferred.
* Understanding of continuous integration, continuous deployment and cloud native technology
* Comprehension of BASH / Shell scripting
* Experience with waterfall, Agile (SCRUM, Kanban, etc) and able to discuss workflows for different software development processes
* Experience with modern development practices strongly preferred, including Kubernetes, Docker, Package Management, Application Security (SAST, DAST), Cloud infrastructure and serverless
* Certifications for AWS SA and GCP ACE
* Excellent time management and self-organization skills while performing a wide range of tasks and quickly pivoting to respond to higher priorities
* B.Sc. in Computer Science or equivalent experience
* Successful completion of a background check
* Ability to use GitLab

<%= partial("job-families/sales/performance", :locals => { :roleName => "Demo Systems Engineer" }) %>

### Hiring Process

Candidates can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/company/team).

* Selected candidates will be invited to schedule a [screening call](/handbook/hiring/#screening-call) with our Global Recruiters
* Candidates will then be sent a short questionnaire to validate their technical qualifications
* Next, candidates will be invited to schedule an interview with hiring manager
* Candidates may then be invited to schedule an interview with a Customer Success manager or peer
* Finally, candidates will be asked to outline a digital demo system for GitLab using this [guide](https://docs.google.com/document/d/1DIbIdei5J7ZaAnxxjIj9-U6NkIzMLzXPkNzIL_dx42o/edit) and present it to a panel of Customer Success peers
* Candidates may be asked to interview with another GitLab manager or executive
* Successful candidates will subsequently be made an offer

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/).

### Compensation

You will typically get 90% as base, and 10% based on meeting the global sales goal of incremental ACV. Also see the [Sales Compensation Plan](/handbook/finance/sales-comp-plan/).
